<?php
/**
 * Plugin Name: Clearfy Cache Premium
 * Plugin URI: https://clearfy.pro
 * Description: Clearfy cache premium
 * Author: Webcraftic <wordpress.webraftic@gmail.com>
 * Version: 1.1.0
 * Text Domain: cache-premium
 * Domain Path: /languages/
 * Author URI: https://clearfy.pro
 */

// Выход при непосредственном доступе
if( !defined('ABSPATH') ) {
	exit;
}

if( !function_exists('wclearfy_cache_pro_load') ) {
	function wclearfy_cache_pro_load()
	{
		if( !defined('WCL_PLUGIN_ACTIVE') || defined('WCL_PLUGIN_THROW_ERROR') ) {
			return;
		}

		if( !WCL_Plugin::app()->isActivateComponent('cache') ) {
			return;
		}

		if( version_compare(WCL_PLUGIN_VERSION, '2.0.0', '<') ) {
			$notice = function () {
				echo '<div class="notice notice-error"><p>' . __('Clearfy premium caching module has been stopped, you must update the free Clearfy plugin to version 2.0.0 or higher!', 'cache-premium') . '</p></div>';
			};

			add_action('admin_notices', $notice);
			add_action('network_admin_notices', $notice);

			return;
		}

		// Устанавливаем контстанту, что плагин уже используется
		define('WCLEARFY_CACHEPRO_PLUGIN_ACTIVE', true);

		// Устанавливаем контстанту, что плагин уже используется
		define('WCLEARFY_CACHEPRO_PLUGIN_VERSION', '1.1.0');

		// Директория плагина
		define('WCLEARFY_CACHEPRO_PLUGIN_DIR', dirname(__FILE__));

		// Относительный путь к плагину
		define('WCLEARFY_CACHEPRO_PLUGIN_BASE', plugin_basename(__FILE__));

		// Ссылка к директории плагина
		define('WCLEARFY_CACHEPRO_PLUGIN_URL', plugins_url(null, __FILE__));

		// Global scripts
		// ---------------------------------------------------------
		if( !is_admin() ) {
			if( WCL_Plugin::app()->getPopulateOption('enable_cache') ) {
				if( WCL_Plugin::app()->getPopulateOption('widget_cache') ) {
					require_once WCLEARFY_CACHEPRO_PLUGIN_DIR . "/includes/widget-cache.php";

					WCL_WidgetCache::action();
				}
			}

			if( WCL_Plugin::app()->getPopulateOption('cache_mobile_theme') ) {
				require_once WCLEARFY_CACHEPRO_PLUGIN_DIR . '/includes/mobile-cache.php';
			}
		}

		// Admin scripts
		// ---------------------------------------------------------
		if( is_admin() ) {
			require(WCLEARFY_CACHEPRO_PLUGIN_DIR . '/admin/boot.php');
			WCL_Plugin::app()->registerPage('WCL_CacheProNginxRulesPage', WCLEARFY_CACHEPRO_PLUGIN_DIR . '/admin/pages/class-pages-nginx-rules.php');
		}

		add_filter('wbcr/clearfy/adminbar_menu_items', function ($menu_items) {
			$menu_items['clearfy-clear-all-cache'] = [
				'id' => 'clearfy-clear-all-cache',
				'title' => '<span class="dashicons dashicons-update"></span> ' . __('Clear all cache', 'clearfy'),
				'href' => add_query_arg('wclearfy_cache_delete', '1')
			];

			return $menu_items;
		});
	}

	add_action('plugins_loaded', 'wclearfy_cache_pro_load', 20);
}
